Create a Mastercard credential account
curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/mastercard/credentials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountAlias": "user@example.com",
"aliasType": "EMAIL",
"status": "ACTIVE",
"kycLevel": "LEVEL_1",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/mastercard/credentials"
payload = {
"accountAlias": "user@example.com",
"aliasType": "EMAIL",
"status": "ACTIVE",
"kycLevel": "LEVEL_1",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"state": "<string>",
"country": "<string>",
"postalCode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountAlias: 'user@example.com',
aliasType: 'EMAIL',
status: 'ACTIVE',
kycLevel: 'LEVEL_1',
addressLine1: '<string>',
addressLine2: '<string>',
city: '<string>',
state: '<string>',
country: '<string>',
postalCode: '<string>'
})
};
fetch('https://sandbox-api.borderless.xyz/v1/mastercard/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Mastercard Crypto Credentials
Create a Mastercard credential account
POST
/
v1
/
mastercard
/
credentials
Create a Mastercard credential account
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The account alias (e.g. email address).
Maximum string length:
255Example:
"user@example.com"
The type of alias.
Available options:
EMAIL, PHONE_NUMBER, DOMAIN_NAME Example:
"EMAIL"
The initial status of the account.
Available options:
ACTIVE, SUSPEND, DECOMMISSIONED Example:
"ACTIVE"
The KYC level for the account.
Available options:
LEVEL_1, LEVEL_2, LEVEL_3 Example:
"LEVEL_1"
Address line 1.
Maximum string length:
255Address line 2.
Maximum string length:
255City.
Maximum string length:
255State or province.
Maximum string length:
255Country code.
Maximum string length:
255Postal code.
Maximum string length:
255Response
201
Account created successfully.
Was this page helpful?
⌘I